<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
  <script>
    // setTimeout(dothis, 2000);
    // function dothis(){
    //     alert("Hello");
    // }
    // setTimeout("alert('hello'); document.write('Pipa0')", 2000);
    setTimeout(dothis, 3000)
    function dothis(a) {
        setTimeout("dothis(5)",0)
        document.write(a );

    }
  </script>
</body>
</html>